vim.opt.number=true
vim.opt.relativenumber=true
vim.opt.showmatch=true
vim.opt.hlsearch=true
vim.opt.tabstop=4
vim.opt.softtabstop=4
vim.opt.expandtab=true
vim.opt.shiftwidth=4
vim.opt.syntax="on"
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.clipboard=unnamedplus
vim.opt.ttyfast=true
vim.cmd("filetype plugin on")

-- quick exit all
vim.api.nvim_set_keymap("n", ":Q", ":qall<CR>", { noremap = true, silent = true })



-- Plugins
require("config.lazy")

-- catpucchin
require("catppuccin").setup()
vim.cmd("colorscheme catppuccin-mocha")

-- using lua API
vim.keymap.set("n", "<space>fb", function()
	require("telescope").extensions.file_browser.file_browser()

end)

-- nvim-tree
local api = require("nvim-tree.api")
api.tree.open() -- Open the tree

vim.schedule(function()
    vim.cmd("wincmd p") -- Go back to the previous window (the editor)
end)
